Package com.ads.api.beans.sm

# Enum Class SMNode.SMNodeType

java.lang.Object
java.lang.Enum<SMNode.SMNodeType>
com.ads.api.beans.sm.SMNode.SMNodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<SMNode.SMNodeType>`, `Constable`

Enclosing class:
  SMNode

public static enum SMNode.SMNodeType extends Enum<SMNode.SMNodeType>
The constants of this enumerated type provides a simple classification and used to specify the NodeType such as System, Environment, Table, Column, Component or Field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLUMN`
  SMNodeType value COLUMN refers to the new column which is created under a table which can be a specific attribute or property of the table under which it is present.
  `COMPONENT`
  SMNodeType value COMPONENT refers to the modular part of the system.Multiple components can be combined together.
  `ENVIRONMENT`
  SMNodeType value ENVIRONMENT refers to the new environment which is created under a system in metaData Repository.
  `FIELD`
  SMNodeType value FIELD refers to the specific part or attribute or a property of the Component.
  `SYSTEM`
  SMNodeType value SYSTEM refers to the new system which is created in metaData Repository.
  `TABLE`
  SMNodeType value TABLE refers to the new table which is created under a environment in a system in the metaData Repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SMNode.SMNodeType`
  `getSMNodeType(String value)`
  `static SMNode.SMNodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SMNode.SMNodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYSTEM

    public static final SMNode.SMNodeType SYSTEM
    SMNodeType value SYSTEM refers to the new system which is created in metaData Repository.

  - ### ENVIRONMENT

    public static final SMNode.SMNodeType ENVIRONMENT
    SMNodeType value ENVIRONMENT refers to the new environment which is created under a system in metaData Repository.

  - ### TABLE

    public static final SMNode.SMNodeType TABLE
    SMNodeType value TABLE refers to the new table which is created under a environment in a system in the metaData Repository.

  - ### COLUMN

    public static final SMNode.SMNodeType COLUMN
    SMNodeType value COLUMN refers to the new column which is created under a table which can be a specific attribute or property of the table under which it is present.

  - ### COMPONENT

    public static final SMNode.SMNodeType COMPONENT
    SMNodeType value COMPONENT refers to the modular part of the system.Multiple components can be combined together.

  - ### FIELD

    public static final SMNode.SMNodeType FIELD
    SMNodeType value FIELD refers to the specific part or attribute or a property of the Component.

- ## Method Details

  - ### values

    public static SMNode.SMNodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SMNode.SMNodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSMNodeType

    public static SMNode.SMNodeType getSMNodeType(String value)